ubuntu-fr@lists.ubuntu.com
[Top] [All Lists]

Re: libgd2

Subject: Re: libgd2
From: Bruno Patri
Date: Sat, 18 Aug 2007 15:15:05 +0200
Le samedi 18 août 2007, Jean Michel Missègue-Delmas a écrit :
> Bruno Patri a écrit :
> > Le samedi 18 août 2007, Jean Michel Missègue-Delmas a écrit :
> >> Bonjour,
> >>
> >> Je cherche à installer libgd2 mais visiblement elle n'est pas dans ma
> >> liste de dépôts. Sur quel dépôt je peux trouver cette librairie svp?
> >
> > Dans le dépôt main j'ai :
> >
> > libgd2-xpm
> > libgd2-noxpm
>
> J'ai fait une recherche des librairies installées, ça m'a donné ça :
>
> jmi@aneto:~$ apt-cache search libgd2
> libgd-gd2-perl - Perl module wrapper for libgd - gd2 variant
> libgd-gd2-noxpm-perl - Perl module wrapper for libgd - gd2 variant
> without XPM support
> libgd2-noxpm - GD Graphics Library version 2 (without XPM support)
> libgd2-noxpm-dev - GD Graphics Library version 2 (development version)
> libgd2-xpm - GD Graphics Library version 2
> libgd2-xpm-dev - GD Graphics Library version 2 (development version)
> jmi@aneto:~$
>
> Il semble donc que GD soit installé. Je ne comprend pourquoi j'ai cette
> erreur sur un site que je suis entrain de développer :
>
> Fatal error: Call to undefined function imagecreatefrompng() in
> /var/www/lpo/ecrire/inc/filtres_images.php on line 887

Sans doute parce qu'il te manque un paquet php*-gd, php5-gd si tu travaille en 
PHP 5 (les dépendances libpng** et libjpeg** suivront, la fonction en 
question se trouve probablement dans la libpng**)


-- 
Bruno

-- 
ubuntu-fr mailing list
ubuntu-fr@xxxxxxxxxxxxxxxx
https://lists.ubuntu.com/mailman/listinfo/ubuntu-fr

<Prev in Thread] Current Thread [Next in Thread>